My Project: Action Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Action Class Reference

`#include <actions.h>`

## Public Member Functions

void | AppendAction (Action *a)
void | FreeAction ()

## Static Public Member Functions

static Action * | AddAction (Entity *ent, int action, Entity *t, float a, float b, float c, float rate)
static Action * | AddAction (Entity *ent, int action, float a, float b, float c, float rate)
static Action * | AddAction (Entity *ent, int action, Entity *t, float rate)
static void | Update ()

## Public Attributes

int | act
Entity * | ent
Entity * | target
float | rate
float | a
float | b
float | c
list< Action * > | nextActions

## Static Public Attributes

static list< Action * > | action_list

## Member Function Documentation

## § AddAction() [1/3]

Action * Action::AddAction | ( | Entity * | ent,
|  | int | action,
|  | Entity * | t,
|  | float | a,
|  | float | b,
|  | float | c,
|  | float | rate
| ) |  |

static

## § AddAction() [2/3]

static Action* Action::AddAction | ( | Entity * | ent,
|  | int | action,
|  | float | a,
|  | float | b,
|  | float | c,
|  | float | rate
| ) |  |

inlinestatic

## § AddAction() [3/3]

static Action* Action::AddAction | ( | Entity * | ent,
|  | int | action,
|  | Entity * | t,
|  | float | rate
| ) |  |

inlinestatic

## § AppendAction()

void Action::AppendAction | ( | Action * | a | ) |

## § FreeAction()

void Action::FreeAction | ( |  | ) |

## § Update()

void Action::Update | ( |  | ) |

static

## Member Data Documentation

## § a

float Action::a

## § act

int Action::act

## § action_list

list< Action * > Action::action_list

static

## § b

float Action::b

## § c

float Action::c

## § ent

Entity* Action::ent

## § nextActions

list<Action*> Action::nextActions

## § rate

float Action::rate

## § target

Entity* Action::target

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/actions.h
- openb3dlib.mod/openb3d/src/actions.cpp